UK Threat Level Version History

3 versions

Be careful with old versions!

These versions are displayed for reference and testing purposes. You should always use the latest version of an add-on.

Version 0.16 31.7 kB Works with Firefox 1.0 - 3.0.*

This update is compatible with Firefox 3.

Version 0.15 31.7 kB Works with Firefox 1.0 - 3.0a1

Fixed problem where US Homeland Security extension and UK Threat Level Extension couldn't be shown at the same time.

Version 0.10 30.7 kB Works with Firefox 1.0 - 3.0a1